package com.xhkjedu.smarking.controller.paper;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.paper.MsPaperBlock;
import com.xhkjedu.smarking.service.paper.MsPaperBlockService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷题块相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperBlock")
public class MsPaperBlockController {
    @Resource
    private MsPaperBlockService msPaperBlockService;

    /**
     * @Description 新增
     * @Param [msPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperBlock msPaperBlock) {
        msPaperBlockService.add(msPaperBlock);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperBlock]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperBlock msPaperBlock) {
        Integer page = msPaperBlock.getPage();
        Integer size = msPaperBlock.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperBlock> list = msPaperBlockService.queryList(msPaperBlock);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
