package com.xhkjedu.smarking.controller.paper;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.paper.MsPaperBlockQuestion;
import com.xhkjedu.smarking.service.paper.MsPaperBlockQuestionService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷题块试题表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperBlockQuestion")
public class MsPaperBlockQuestionController {
    @Resource
    private MsPaperBlockQuestionService msPaperBlockQuestionService;

    /**
     * @Description 新增
     * @Param [msPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperBlockQuestion msPaperBlockQuestion) {
        msPaperBlockQuestionService.add(msPaperBlockQuestion);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperBlockQuestion msPaperBlockQuestion) {
        Integer page = msPaperBlockQuestion.getPage();
        Integer size = msPaperBlockQuestion.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperBlockQuestion> list = msPaperBlockQuestionService.queryList(msPaperBlockQuestion);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
