package com.xhkjedu.smarking.controller.paper;

import com.xhkjedu.smarking.model.paper.MsPaper;
import com.xhkjedu.smarking.model.paper.MsTemplate;
import com.xhkjedu.smarking.service.paper.MsTemplateService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷扫描模板表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msTemplate")
public class MsTemplateController {
    @Resource
    private MsTemplateService msTemplateService;

    /*
     * @Description 试卷模板列表
     * @Date 2024/10/18 14:48:12
     * @Author WN
     * @Param [paper]
     * @Return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaper paper) {
        N_Utils.validation(new Object[]{paper.getMsid(),"科目试卷id",1});
        List<Map<String,Object>> list = msTemplateService.listTemplatesByMsid(paper.getMsid());
        return new ResultVo(0, "查询成功", list);
    }

    /**
     * @Description 新增
     * @Param [msTemplate]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsTemplate msTemplate) {
        N_Utils.validation(new Object[]{msTemplate.getMpid(),"试卷id",1});
        MsTemplate mt = msTemplateService.add(msTemplate);
        return new ResultVo(0, "保存成功",mt);
    }


}
